[SciPy-dev] Building numpy/scipy on RHEL5 OR CentOS5

Robert Kern robert.kern@gmail....
Tue Jun 24 14:43:45 CDT 2008


On Tue, Jun 24, 2008 at 14:25, Michael Hearne <mhearne@usgs.gov> wrote:
> I've now passed the BLAS/Lapack stage, and am trying to build scipy.
> However, I get the following sorts of errors from swig:
>
> scipy/linsolve/umfpack/umfpack.i:192: Error: Unable to find 'umfpack.h'
> scipy/linsolve/umfpack/umfpack.i:193: Error: Unable to find
> 'umfpack_solve.h'
> ...
>
> I found something from the Scipy-User mailing list (from two years ago!):
> http://projects.scipy.org/pipermail/scipy-user/2006-July/008661.html
>
> That indicates I should do this:
>
>  >>export UMFPACK = "None"
>
> in the shell.
>
> I couldn't find any umf*.h files anywhere in scipy or any of the other
> supporting packages.  Is this another external dependency, or something
> I can ignore using the method above?

It is an optional external dependency. If you don't need to use the
UMFPACK functions, you can set UMFPACK=None. It shouldn't be
necessary, though, so it's concerning that it stops the build when you
didn't request it.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the Scipy-dev mailing list